org.apache.tinkerpop.gremlin.language.grammar

## Class GremlinParser.TraversalPredicateContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.tinkerpop.gremlin.language.grammar.GremlinParser.TraversalPredicateContext

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTree, org.antlr.v4.runtime.tree.RuleNode, org.antlr.v4.runtime.tree.SyntaxTree, org.antlr.v4.runtime.tree.Tree
  Enclosing class:
    GremlinParser

      public static class GremlinParser.TraversalPredicateContext
      extends org.antlr.v4.runtime.ParserRuleContext

- - ### Field Summary

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `EMPTY, invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraversalPredicateContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends T> visitor)`
    `org.antlr.v4.runtime.tree.TerminalNode` | `DOT()`
    `void` | `enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `void` | `exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `int` | `getRuleIndex()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `LPAREN()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `RPAREN()`
    `GremlinParser.TraversalPredicate_betweenContext` | `traversalPredicate_between()`
    `GremlinParser.TraversalPredicate_containingContext` | `traversalPredicate_containing()`
    `GremlinParser.TraversalPredicate_endingWithContext` | `traversalPredicate_endingWith()`
    `GremlinParser.TraversalPredicate_eqContext` | `traversalPredicate_eq()`
    `GremlinParser.TraversalPredicate_gtContext` | `traversalPredicate_gt()`
    `GremlinParser.TraversalPredicate_gteContext` | `traversalPredicate_gte()`
    `GremlinParser.TraversalPredicate_insideContext` | `traversalPredicate_inside()`
    `GremlinParser.TraversalPredicate_ltContext` | `traversalPredicate_lt()`
    `GremlinParser.TraversalPredicate_lteContext` | `traversalPredicate_lte()`
    `GremlinParser.TraversalPredicate_neqContext` | `traversalPredicate_neq()`
    `GremlinParser.TraversalPredicate_notContext` | `traversalPredicate_not()`
    `GremlinParser.TraversalPredicate_notContainingContext` | `traversalPredicate_notContaining()`
    `GremlinParser.TraversalPredicate_notEndingWithContext` | `traversalPredicate_notEndingWith()`
    `GremlinParser.TraversalPredicate_notStartingWithContext` | `traversalPredicate_notStartingWith()`
    `GremlinParser.TraversalPredicate_outsideContext` | `traversalPredicate_outside()`
    `GremlinParser.TraversalPredicate_startingWithContext` | `traversalPredicate_startingWith()`
    `GremlinParser.TraversalPredicate_withinContext` | `traversalPredicate_within()`
    `GremlinParser.TraversalPredicate_withoutContext` | `traversalPredicate_without()`
    `List<GremlinParser.TraversalPredicateContext>` | `traversalPredicate()`
    `GremlinParser.TraversalPredicateContext` | `traversalPredicate(int i)`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TraversalPredicateContext

          public TraversalPredicateContext(org.antlr.v4.runtime.ParserRuleContext parent,
                                           int invokingState)

  - ### Method Detail

    - #### traversalPredicate_eq

          public GremlinParser.TraversalPredicate_eqContext traversalPredicate_eq()

    - #### traversalPredicate_neq

          public GremlinParser.TraversalPredicate_neqContext traversalPredicate_neq()

    - #### traversalPredicate_lt

          public GremlinParser.TraversalPredicate_ltContext traversalPredicate_lt()

    - #### traversalPredicate_lte

          public GremlinParser.TraversalPredicate_lteContext traversalPredicate_lte()

    - #### traversalPredicate_gt

          public GremlinParser.TraversalPredicate_gtContext traversalPredicate_gt()

    - #### traversalPredicate_gte

          public GremlinParser.TraversalPredicate_gteContext traversalPredicate_gte()

    - #### traversalPredicate_inside

          public GremlinParser.TraversalPredicate_insideContext traversalPredicate_inside()

    - #### traversalPredicate_outside

          public GremlinParser.TraversalPredicate_outsideContext traversalPredicate_outside()

    - #### traversalPredicate_between

          public GremlinParser.TraversalPredicate_betweenContext traversalPredicate_between()

    - #### traversalPredicate_within

          public GremlinParser.TraversalPredicate_withinContext traversalPredicate_within()

    - #### traversalPredicate_without

          public GremlinParser.TraversalPredicate_withoutContext traversalPredicate_without()

    - #### traversalPredicate_not

          public GremlinParser.TraversalPredicate_notContext traversalPredicate_not()

    - #### traversalPredicate_startingWith

          public GremlinParser.TraversalPredicate_startingWithContext traversalPredicate_startingWith()

    - #### traversalPredicate_notStartingWith

          public GremlinParser.TraversalPredicate_notStartingWithContext traversalPredicate_notStartingWith()

    - #### traversalPredicate_endingWith

          public GremlinParser.TraversalPredicate_endingWithContext traversalPredicate_endingWith()

    - #### traversalPredicate_notEndingWith

          public GremlinParser.TraversalPredicate_notEndingWithContext traversalPredicate_notEndingWith()

    - #### traversalPredicate_containing

          public GremlinParser.TraversalPredicate_containingContext traversalPredicate_containing()

    - #### traversalPredicate_notContaining

          public GremlinParser.TraversalPredicate_notContainingContext traversalPredicate_notContaining()

    - #### traversalPredicate

          public List<GremlinParser.TraversalPredicateContext> traversalPredicate()

    - #### traversalPredicate

          public GremlinParser.TraversalPredicateContext traversalPredicate(int i)

    - #### DOT

          public org.antlr.v4.runtime.tree.TerminalNode DOT()

    - #### LPAREN

          public org.antlr.v4.runtime.tree.TerminalNode LPAREN()

    - #### RPAREN

          public org.antlr.v4.runtime.tree.TerminalNode RPAREN()

    - #### getRuleIndex

          public int getRuleIndex()

      Overrides:
        `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

    - #### enterRule

          public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### exitRule

          public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### accept

          public <T> T accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends T> visitor)

      Specified by:
        `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
      Overrides:
        `accept` in class `org.antlr.v4.runtime.RuleContext`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.